import json

def convert_to_bytes(size: int | str) -> int:
    try:
        return int(size)
    except ValueError:  # treat as string
        units = {
            'TB': 10 ** 12, 'TiB': 2 ** 40,
            'GB': 10 ** 9, 'GiB': 2 ** 30,
            'MB': 10 ** 6, 'MiB': 2 ** 20,
            'KB': 10 ** 3, 'KiB': 2 ** 10,
            'B': 1
        }

        for unit in units:
            if size.endswith(unit):
                return int(float(size.removesuffix(unit)) * units[unit])
                break


async def generate_data(size: int, buffer_size: int = 4 * 1024) -> bytes:
    size_left = size

    while size_left > buffer_size:
        size_left -= buffer_size
        yield b'\0' * buffer_size
    else:
        yield b'\0' * size_left


def check_policies(ip: str) -> None:
    network = ipaddress.ip_network(ip)
    print(network)


def load_database(path: str) -> dict:
    with open(path, 'r') as file:
        return json.load(file)


def save_database(path: str, database: dict) -> None:
    with open(path, 'w') as file:
        json.dump(database, file, indent=2)
